xine-lib: vo_scale_s Struct Reference

xine-lib 1.2.12

Data Fields
vo_scale_s Struct Reference

`#include <vo_scale.h>`

## Data Fields
int | support_zoom
int | scaling_disabled
int | delivered_width
int | delivered_height
double | delivered_ratio
int | crop_left
int | crop_right
int | crop_top
int | crop_bottom
int | displayed_xoffset
int | displayed_yoffset
int | displayed_width
int | displayed_height
double | zoom_factor_x
double | zoom_factor_y
int | user_ratio
int | gui_x
int | gui_y
int | gui_width
int | gui_height
int | gui_win_x
int | gui_win_y
int | force_redraw
double | gui_pixel_aspect
double | video_pixel_aspect
int | output_width
int | output_height
int | output_xoffset
int | output_yoffset
void * | user_data
void(* | frame_output_cb )(void *user_data, int video_width, int video_height, double video_pixel_aspect, int *dest_x, int *dest_y, int *dest_width, int *dest_height, double *dest_pixel_aspect, int *win_x, int *win_y)
void(* | dest_size_cb )(void *user_data, int video_width, int video_height, double video_pixel_aspect, int *dest_width, int *dest_height, double *dest_pixel_aspect)
vo_scale_rect_t | border [4]
double | output_horizontal_position
double | output_vertical_position

## Field Documentation

## ◆ border

vo_scale_rect_t vo_scale_s::border[4]

Referenced by clean_output_area().

## ◆ crop_bottom

int vo_scale_s::crop_bottom

Referenced by xshm_display_frame(), xshm_frame_proc_setup(), and xshm_overlay_blend().

## ◆ crop_left

int vo_scale_s::crop_left

Referenced by xshm_display_frame(), xshm_frame_proc_setup(), and xshm_overlay_blend().

## ◆ crop_right

int vo_scale_s::crop_right

Referenced by xshm_display_frame(), xshm_frame_proc_setup(), and xshm_overlay_blend().

## ◆ crop_top

int vo_scale_s::crop_top

Referenced by xshm_display_frame(), xshm_frame_proc_setup(), and xshm_overlay_blend().

## ◆ delivered_height

int vo_scale_s::delivered_height

Referenced by fb_compute_rgb_size(), fb_display_frame(), fb_overlay_blend(), fb_update_frame_format(), setup_colorspace_converter(), xshm_compute_rgb_size(), xshm_display_frame(), xshm_frame_proc_setup(), xshm_overlay_blend(), and xshm_update_frame_format().

## ◆ delivered_ratio

double vo_scale_s::delivered_ratio

Referenced by fb_update_frame_format(), xshm_frame_proc_setup(), and xshm_update_frame_format().

## ◆ delivered_width

int vo_scale_s::delivered_width

Referenced by fb_compute_rgb_size(), fb_display_frame(), fb_overlay_blend(), fb_update_frame_format(), setup_colorspace_converter(), xshm_compute_rgb_size(), xshm_display_frame(), xshm_frame_proc_setup(), xshm_overlay_blend(), and xshm_update_frame_format().

## ◆ dest_size_cb

void(* vo_scale_s::dest_size_cb) (void *user_data, int video_width, int video_height, double video_pixel_aspect, int *dest_width, int *dest_height, double *dest_pixel_aspect)

Referenced by xshm_frame_proc_setup().

## ◆ displayed_height

int vo_scale_s::displayed_height

Referenced by opengl2_draw().

## ◆ displayed_width

int vo_scale_s::displayed_width

Referenced by opengl2_draw().

## ◆ displayed_xoffset

int vo_scale_s::displayed_xoffset

Referenced by opengl2_draw().

## ◆ displayed_yoffset

int vo_scale_s::displayed_yoffset

Referenced by opengl2_draw().

## ◆ force_redraw

int vo_scale_s::force_redraw

## ◆ frame_output_cb

void(* vo_scale_s::frame_output_cb) (void *user_data, int video_width, int video_height, double video_pixel_aspect, int *dest_x, int *dest_y, int *dest_width, int *dest_height, double *dest_pixel_aspect, int *win_x, int *win_y)

## ◆ gui_height

int vo_scale_s::gui_height

Referenced by opengl2_draw(), and xshm_frame_proc_setup().

## ◆ gui_pixel_aspect

double vo_scale_s::gui_pixel_aspect

Referenced by xshm_frame_proc_setup().

## ◆ gui_width

int vo_scale_s::gui_width

Referenced by opengl2_draw(), and xshm_frame_proc_setup().

## ◆ gui_win_x

int vo_scale_s::gui_win_x

## ◆ gui_win_y

int vo_scale_s::gui_win_y

## ◆ gui_x

int vo_scale_s::gui_x

## ◆ gui_y

int vo_scale_s::gui_y

## ◆ output_height

int vo_scale_s::output_height

Referenced by fb_compute_rgb_size(), fb_display_frame(), fb_overlay_blend(), frame_reallocate(), opengl2_draw(), setup_colorspace_converter(), xshm_compute_rgb_size(), xshm_display_frame(), xshm_frame_proc_setup(), and xshm_overlay_blend().

## ◆ output_horizontal_position

double vo_scale_s::output_horizontal_position

## ◆ output_vertical_position

double vo_scale_s::output_vertical_position

## ◆ output_width

int vo_scale_s::output_width

Referenced by fb_compute_rgb_size(), fb_display_frame(), fb_overlay_blend(), fb_update_frame_format(), frame_reallocate(), opengl2_draw(), setup_colorspace_converter(), xshm_compute_rgb_size(), xshm_display_frame(), xshm_frame_proc_setup(), and xshm_overlay_blend().

## ◆ output_xoffset

int vo_scale_s::output_xoffset

Referenced by fb_display_frame(), frame_reallocate(), opengl2_draw(), and xshm_display_frame().

## ◆ output_yoffset

int vo_scale_s::output_yoffset

Referenced by fb_display_frame(), frame_reallocate(), opengl2_draw(), and xshm_display_frame().

## ◆ scaling_disabled

int vo_scale_s::scaling_disabled

## ◆ support_zoom

int vo_scale_s::support_zoom

## ◆ user_data

void* vo_scale_s::user_data

Referenced by xshm_frame_proc_setup().

## ◆ user_ratio

int vo_scale_s::user_ratio

Referenced by fb_update_frame_format(), and xshm_frame_proc_setup().

## ◆ video_pixel_aspect

double vo_scale_s::video_pixel_aspect

Referenced by xshm_display_frame(), and xshm_frame_proc_setup().

## ◆ zoom_factor_x

double vo_scale_s::zoom_factor_x

## ◆ zoom_factor_y

double vo_scale_s::zoom_factor_y

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine/vo_scale.h